<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class Qualifikation_Kurs extends Datamodul
{
  public $knr = '';
  public $art = '';
  public $qualiid = 0;
  public $bemerkung = '';
  public $gueltig;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'gueltig':
        return \DatamodulVarType::TYPE_DATE;
      case 'qualiid':
        return \DatamodulVarType::TYPE_INT;
    }
  }
}